#!/bin/sh

set -e

wine=$1
: ${wine:=wine32}

num_fails=0

for i in */*.exe; do
	echo $i
	$wine $i > /dev/null 2>&1 || { echo $i FAILED; num_fails=$(($num_fails+1)); fails="$fails $i"; }
done

echo $num_fails failures:$fails
exit $num_fails

